%define         oname           wxSVG

%define         major           3
%define         libname         %mklibname %{name} %{major}
%define         develname       %mklibname %{name} -d

Name:           wxsvg
Summary:        A library to create, manipulate and render SVG files
Version:        1.5.24
Release:        %mkrel 1
License:        wxWindows
Group:          System/Libraries

URL:            https://wxsvg.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# From Gentoo
#Patch1:		ffmpeg5.patch

BuildRequires:  wxgtk-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  libexif-devel

%description
wxSVG is a C++ library to create, manipulate and render SVG files.

%package -n     %{libname}
Summary:        Shared libraries for %{oname}
Group:          System/Libraries

%description -n %{libname}
wxSVG is a C++ library to create, manipulate and render SVG
files. This package contains the shared libraries.

%package -n     %{develname}
Summary:        Development files and headers for %{oname}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %{oname}.

%prep
%autosetup -p1

#move files to a better place
mv *.m4 m4/

%build
autoreconf -vfi
%configure \
  --disable-static \
  --enable-libav
%make_build

%install
%make_install

#unpackaged file
rm -rf %{buildroot}%{_bindir}/svgview

%files -n %{libname}
%license COPYING
%doc AUTHORS ChangeLog TODO README
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{oname}*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/lib%{name}.so


%changelog
* Sat Dec 03 2022 eatdirt <eatdirt> 1.5.24-1.mga9
+ Revision: 1916137
- Upgrade to version 1.5.24

* Fri Jul 15 2022 wally <wally> 1.5.23-5.mga9
+ Revision: 1868965
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 1.5.23-4.mga9
+ Revision: 1864116
- rebuild for wxgtk 3.1.7

* Fri Apr 15 2022 wally <wally> 1.5.23-3.mga9
+ Revision: 1850148
- add Gentoo patch to fix build with ffmpeg5
- rebuild for wxgtk 3.1.6
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 1.5.23-2.mga9
+ Revision: 1768479
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Thu Jan 06 2022 wally <wally> 1.5.23-1.mga9
+ Revision: 1767091
- new version 1.5.23
- update license

* Sat Jan 01 2022 wally <wally> 1.5.22-4.mga9
+ Revision: 1765697
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Fri Jan 01 2021 wally <wally> 1.5.22-3.mga8
+ Revision: 1667737
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.5.22-2.mga8
+ Revision: 1614378
- rebuild for new wxgtk 3.1.4
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Tue Mar 17 2020 eatdirt <eatdirt> 1.5.22-1.mga8
+ Revision: 1557517
- Upgrade to version 1.5.22

* Tue Feb 18 2020 umeabot <umeabot> 1.5.19-4.mga8
+ Revision: 1538036
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 1.5.19-3.mga8
+ Revision: 1459499
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 1.5.19-2.mga8
+ Revision: 1419541
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jul 07 2019 wally <wally> 1.5.19-1.mga8
+ Revision: 1419373
- new version 1.5.19

* Sat Jun 29 2019 wally <wally> 1.5.15-2.mga8
+ Revision: 1416122
- rebuild for gtk3 enabled wxgtk 3.1.2

* Thu Jan 03 2019 daviddavid <daviddavid> 1.5.15-1.mga7
+ Revision: 1348944
- new version: 1.5.15

* Sun Sep 23 2018 umeabot <umeabot> 1.5.12-3.mga7
+ Revision: 1301731
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 daviddavid <daviddavid> 1.5.12-2.mga7
+ Revision: 1223375
- rebuild for new ffmpeg 4.0

* Tue Jan 30 2018 eatdirt <eatdirt> 1.5.12-1.mga7
+ Revision: 1198102
- Upgrade to version 1.5.12

* Wed Oct 11 2017 eatdirt <eatdirt> 1.5.11-5.mga7
+ Revision: 1171075
- Rebuild for new gcc and friends

* Sat Jun 03 2017 akien <akien> 1.5.11-4.mga6
+ Revision: 1106135
- Rebuild for wxgtk 3.0.3.1

* Tue May 02 2017 akien <akien> 1.5.11-3.mga6
+ Revision: 1098329
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1.5.11-2.mga6
+ Revision: 1090264
- Rebuild for ffmpeg 3.2.4

* Tue Feb 14 2017 eatdirt <eatdirt> 1.5.11-1.mga6
+ Revision: 1086138
- Upgrade to version 1.5.11

* Fri Dec 02 2016 eatdirt <eatdirt> 1.5.10-1.mga6
+ Revision: 1071702
- Upgrade to version 1.5.10

* Tue Mar 15 2016 eatdirt <eatdirt> 1.5.6-1.mga6
+ Revision: 990771
- Upgrade to version 1.5.6

* Wed Feb 17 2016 umeabot <umeabot> 1.5.5-2.mga6
+ Revision: 963303
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 eatdirt <eatdirt> 1.5.5-1.mga6
+ Revision: 888503
- Upgrade to version 1.5.5

* Tue Sep 29 2015 eatdirt <eatdirt> 1.5.4-1.mga6
+ Revision: 885135
- Upgrade to version 1.5.4

* Fri Nov 14 2014 akien <akien> 1.4.2-5.mga5
+ Revision: 797159
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1.4.2-4.mga5
+ Revision: 745236
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.2-3.mga5
+ Revision: 690389
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 wally <wally> 1.4.2-2.mga5
+ Revision: 660987
- drop unneeded obsoletes and conflicts

* Thu Aug 07 2014 eatdirt <eatdirt> 1.4.2-1.mga5
+ Revision: 660903
- Upgrade to version 1.4.2

* Thu Feb 27 2014 eatdirt <eatdirt> 1.2.1-1.mga5
+ Revision: 597520
- Upgrade to 1.2.1

* Sat Oct 19 2013 umeabot <umeabot> 1.1.15-3.mga4
+ Revision: 529655
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 fwang <fwang> 1.1.15-2.mga4
+ Revision: 452789
- rebuild for new ffmpeg

* Thu May 23 2013 eatdirt <eatdirt> 1.1.15-1.mga4
+ Revision: 425644
- Upgrade to version 1.1.15

* Sat Jan 19 2013 eatdirt <eatdirt> 1.1.11-1.mga3
+ Revision: 389841
- Upgrade to 1.1.11 which fixes bug #8727

* Mon Jan 14 2013 umeabot <umeabot> 1.1.9-3.mga3
+ Revision: 385903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.1.9-2.mga3
+ Revision: 341752
- rebuild for new ffmpeg

* Thu Aug 23 2012 eatdirt <eatdirt> 1.1.9-1.mga3
+ Revision: 283242
- Upgrade to version 1.1.9

* Tue May 29 2012 fwang <fwang> 1.1.8-1.mga3
+ Revision: 249096
- new version 1.1.8

* Tue May 29 2012 fwang <fwang> 1.1.6-2.mga3
+ Revision: 249086
- rebuild for new ffmpeg

* Mon Feb 20 2012 wally <wally> 1.1.6-1.mga2
+ Revision: 211218
- new version 1.1.6

* Tue Dec 13 2011 wally <wally> 1.1.5-1.mga2
+ Revision: 181410
- new version 1.1.5
- rewrote .spec
+ matteo <matteo>
- fixed group and license
- add comment about configure arguments
- upgraded sources to version 1.1.2
- imported package wxsvg

